#
# spec file for package python-localzone
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%{?sle15_python_module_pythons}
Name:           python-localzone
Version:        0.9.8
Release:        2.5
Summary:        A library for managing DNS zones
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/ags-slc/localzone
# The PyPI sdist does not provide the tests
Source:         https://github.com/ags-slc/localzone/archive/v%{version}.tar.gz#/localzone-%{version}.tar.gz
BuildRequires:  %{python_module dnspython}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-dnspython
BuildArch:      noarch
%python_subpackages

%description
A simple library for managing DNS zones.

%prep
%autosetup -p1 -n localzone-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/localzone
%{python_sitelib}/localzone-%{version}*-info

%changelog
* Sat Jul  1 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Sat Jan  7 2023 Dirk Müller <dmueller@suse.com>
- update to 0.9.8:
  * Support dnspython 2.1.
- drop localzone-dnspython-2.1.patch (upstream)
* Mon Jan 18 2021 Benjamin Greiner <code@bnavigator.de>
- Update to version 0.9.7
  * Support dnspython 2.
- Add localzone-dnspython-2.1.patch gh#ags-slc/localzone#3
* Wed Apr 15 2020 pgajdos@suse.com
- version update to 0.9.6
  - Minor documentation change for PyPI
- use pytest macro
* Fri Apr 12 2019 Tomáš Chvátal <tchvatal@suse.com>
- Do not use pytest macro as this goes to leap and the macros
  update is not yet processed
* Mon Mar 18 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.9.5:
  * Support dnspython 1.16.0.
  * Add tox config.
* Fri Dec  7 2018 Tomáš Chvátal <tchvatal@suse.com>
- Switch to github tarball to run tests
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Fix License: tag
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri Nov 16 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Initial build
  + Version 0.9.4
